'use strict';

var gulp = require('gulp');
var phpdox = require('gulp-phpdox');
var Elixir = require('laravel-elixir');

/*
 |----------------------------------------------------------------
 | PHPDOX
 |----------------------------------------------------------------
 |
 | This task is a wrapper for gulp-phpdox
 | to be used by laravel elixir and to
 | generate system notifications.
 |
 */

Elixir.extend('phpdox', function initPHPDOX (bin, options) {

    new Elixir.Task('phpdox', function() {
       gulp.src('app')
           .pipe(phpdox(bin, options, {debug: true}))
           .pipe(new Elixir.Notification('PHPDox Complete!'));
    });
});

